Erreur lors de l'installation : asort() expects parameter 1 to be array,

More
2 months 2 weeks ago #195248 by Arestoy
Bonjour,

Alors voilà, pour faire assez court, je suis actuellement des études dans le domaine du web, et je suis en train de travailler sur une UE axée administration de serveurs.

Lors d'un travail passé, nous devions mettre en place un serveur web, sur VirtualBox au sein d'une distribution Mageia, ce qui est fait.

Maintenant nous avions par groupe différents travaux. Celui de mon groupe consiste à installer LimeSurvey sur le serveur installé précédemment, et de créer un questionnaire pour le mettre en ligne.

Toutefois, après avoir regarder pas mal de vidéos, tutos en Français, en Anglais, et le forum, je bloque sur une erreur lors de la configuration de LimeSurvey .


Pour donner un peu plus de détails, j'ai installer LAMP pour mon serveur en suivant ce tuto
J'ai donc bien mon serveur Apache, MySQL, et PHPmyadmin.

Ensuite, sans passer par les détails de la configuration du serveur (l'enseignant a pu checker mon installation en direct via Teamviewer, tout est bon), j'ai essayé d'installer LimeSurvey comme ceci :


  • Téléchargement de la dernière version stable et unzip dans le dossier Racine > var > www > html
  • Changement de certains droit en suivant ce lien

    chmod -R 777 /var/www/html/limesurvey/application/config/
    chmod -R 777 /var/www/html/limesurvey/upload/
    chmod -R 777 /var/www/html/limesurvey/tmp/


    Si je ne changeais pas les droits j'avais un message d'erreur lorsque j'essayer d'accéder à localhost/limesurvey.

    Ensuite j'ai donc réussi à accéder aux deux premières étapes de la configuration de LimeSurvey :




    Puis arriver à la troisième étape j'obtient ce message d'erreur :




    J'ai déjà effectué quelques recherches mais je n'arrive pas à trouver d'où vient le problème. Auriez vous une piste ? :huh:

    Merci :)

    Please Log in to join the conversation.

    LimeSurvey Partners
    More
    2 months 2 weeks ago #195261 by DenisChenu
    Il semble que cela soit un probème à l'installation. Que l'on controle mal la présente des php-pdo

    bugs.limesurvey.org/view.php?id=15974#c56404

    Regarde si tu as bien installé php-mysql, php-pdo etc ....

    Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
    I'm not a LimeSurvey GmbH member, professional service on demand , plugin development .
    An error happen ? Before make a new topic : remind the Debug mode .
    The following user(s) said Thank You: Arestoy

    Please Log in to join the conversation.

    More
    2 months 2 weeks ago #195270 by Arestoy
    Effectivement, après vérification il me manquer certaines extensions (notamment celles que tu cite).

    Après les avoirs installées, tout fonctionne normalement !

    Merci :)

    Please Log in to join the conversation.

    More
    2 months 2 weeks ago - 2 months 2 weeks ago #195276 by DenisChenu
    Le message d'erreur sera meilleur sur la prochaine version ....
    github.com/LimeSurvey/LimeSurvey/commit/...cf3217f54b205f540a43

    Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
    I'm not a LimeSurvey GmbH member, professional service on demand , plugin development .
    An error happen ? Before make a new topic : remind the Debug mode .
    Last edit: 2 months 2 weeks ago by DenisChenu.

    Please Log in to join the conversation.

    Moderators: Nickko

    Start now!

    Just create your account and start using Limesurvey today.

    Register now